import { _list, _view, _export, _add, _adds, _up, _ups, _del } from '@/api/app'
import { _agentsExamine } from '@/api/agentsManage'
import { reformateObjectRes } from '@/utils/index'

const useAgentsManageStore = defineStore('agentsManage', {
  state: () => ({
    //...
  }),
  actions: {
    //* *********** 代理商 **************
    // 获取列表
    list(data) {
      return new Promise((resolve, reject) => {
        data.pagevalue = 75
        _list(data)
          .then((res) => {
            resolve(res.Data)
          })
          .catch((err) => {
            reject(err)
          })
      })
    },
    // 获取详情
    view(data) {
      return new Promise((resolve, reject) => {
        data.pagevalue = 76
        _view(data)
          .then((res) => {
            resolve(reformateObjectRes(res.Data))
          })
          .catch((err) => {
            reject(err)
          })
      })
    },
    // 更新
    up(data) {
      return new Promise((resolve, reject) => {
        data.pagevalue = 77
        _up(data)
          .then((res) => {
            resolve(res.Data)
          })
          .catch((err) => {
            reject(err)
          })
      })
    },
    // 新增
    add(data) {
      return new Promise((resolve, reject) => {
        data.pagevalue = 78
        _add(data)
          .then((res) => {
            resolve(res.Data)
          })
          .catch((err) => {
            reject(err)
          })
      })
    },
    // 代理商审核
    agentsExamine(data) {
      return new Promise((resolve, reject) => {
        data.pagevalue = 104
        _agentsExamine(data)
          .then((res) => {
            resolve(res.Data)
          })
          .catch((err) => {
            reject(err)
          })
      })
    },
  },
})

export default useAgentsManageStore
